#!/bin/bash
curmon=$(hyprctl monitors | grep -B11 "focused: yes" | head -n1 | awk '{print $2}')
currot=$(hyprctl monitors | grep -B1 "focused: yes" | head -n1 | awk '{print $2}')
touchdev=$(hyprctl devices | grep -A1 "Touch Device" | tail -n1 | xargs)

newrot=""
if [ $currot == "0" ]; then
    newrot="3"
else
    newrot=$(($currot - 1))
fi
echo $newrot


hyprctl keyword monitor $curmon,preferred,auto,1,transform,$newrot

eww reload

if [ "$touchdev" != '' ]; then
    hyprctl keyword device:$touchdev:transform $newrot
fi
